## cloudkitty 6.0.0

=== debian/changelog ===
cloudkitty (6.0.0-1) unstable; urgency=medium

  * Initial release. (Closes: #888435)

 -- Thomas Goirand <zigo@debian.org>  Sun, 21 Jan 2018 15:39:54 +0100
