=== debian/control ===
Source: cloudkitty
Section: net
Priority: optional
Maintainer: Debian OpenStack <openstack-devel@lists.alioth.debian.org>
Uploaders:
 Thomas Goirand <zigo@debian.org>,
Build-Depends:
 debhelper (>= 10),
 dh-python,
 openstack-pkg-tools (>= 61~),
 po-debconf,
 python-all,
 python-pbr,
 python-setuptools,
 python-sphinx (>= 1.6.2),
Build-Depends-Indep:
 python-alembic,
 python-ceilometerclient,
 python-coverage,
 python-ddt,
 python-eventlet,
 python-gabbi,
 python-gnocchiclient (>= 2.5.0),
 python-hacking,
 python-iso8601,
 python-keystoneauth1,
 python-keystoneclient,
 python-keystonemiddleware,
 python-kombu,
 python-mock,
 python-openstackdocstheme (>= 1.11.0),
 python-oslo.concurrency,
 python-oslo.config,
 python-oslo.context,
 python-oslo.db,
 python-oslo.i18n,
 python-oslo.log,
 python-oslo.messaging (>= 5.11.0),
 python-oslo.middleware,
 python-oslo.policy,
 python-oslo.utils,
 python-oslotest,
 python-pastedeploy,
 python-pecan,
 python-pep8,
 python-six,
 python-sphinxcontrib-pecanwsme,
 python-sphinxcontrib.httpdomain,
 python-sqlalchemy,
 python-stevedore,
 python-testscenarios,
 python-tooz,
 python-wsme,
 subunit,
 testrepository,
Standards-Version: 4.1.3
Vcs-Browser: https://salsa.debian.org/openstack-team/services/cloudkitty.git
Vcs-Git: https://salsa.debian.org/openstack-team/services/cloudkitty.git
Homepage: https://github.com/openstack/cloudkitty

Package: cloudkitty-api
Architecture: all
Depends:
 adduser,
 cloudkitty-common (= ${source:Version}),
 debconf,
 python-openstackclient,
 python-pastescript,
 q-text-as-data,
 uwsgi-plugin-python,
 ${misc:Depends},
 ${ostack-lsb-base},
 ${python:Depends},
Description: OpenStack Rating as a Service - API server
 CloudKitty aims at filling the gap between metrics collection systems like
 ceilometer and a billing system.
 .
 Every metrics are collected, aggregated and processed through different rating
 modules. You can then query CloudKitty's storage to retrieve processed data
 and easily generate reports.
 .
 Most parts of CloudKitty are modular so you can easily extend the base code to
 address your particular use case.
 .
 This package contains the Cloudkitty API server.

Package: cloudkitty-common
Architecture: all
Depends:
 adduser,
 dbconfig-common,
 debconf,
 python-cloudkitty (= ${source:Version}),
 ${misc:Depends},
 ${python:Depends},
Description: OpenStack Rating as a Service - common files
 CloudKitty aims at filling the gap between metrics collection systems like
 ceilometer and a billing system.
 .
 Every metrics are collected, aggregated and processed through different rating
 modules. You can then query CloudKitty's storage to retrieve processed data
 and easily generate reports.
 .
 Most parts of CloudKitty are modular so you can easily extend the base code to
 address your particular use case.
 .
 This package contains common files for Cloudkitty.

Package: cloudkitty-doc
Architecture: all
Section: doc
Depends:
 ${misc:Depends},
 ${sphinxdoc:Depends},
Description: OpenStack Rating as a Service - Documentation
 CloudKitty aims at filling the gap between metrics collection systems like
 ceilometer and a billing system.
 .
 Every metrics are collected, aggregated and processed through different rating
 modules. You can then query CloudKitty's storage to retrieve processed data
 and easily generate reports.
 .
 Most parts of CloudKitty are modular so you can easily extend the base code to
 address your particular use case.
 .
 This package contains the documentation.

Package: cloudkitty-processor
Architecture: all
Depends:
 adduser,
 cloudkitty-common (= ${source:Version}),
 ${misc:Depends},
 ${ostack-lsb-base},
 ${python:Depends},
Description: OpenStack Rating as a Service - processor
 CloudKitty aims at filling the gap between metrics collection systems like
 ceilometer and a billing system.
 .
 Every metrics are collected, aggregated and processed through different rating
 modules. You can then query CloudKitty's storage to retrieve processed data
 and easily generate reports.
 .
 Most parts of CloudKitty are modular so you can easily extend the base code to
 address your particular use case.
 .
 This package contains the Cloudkitty processor daemon.

Package: python-cloudkitty
Architecture: all
Section: python
Depends:
 python-alembic,
 python-ceilometerclient,
 python-eventlet,
 python-gnocchiclient (>= 2.5.0),
 python-iso8601,
 python-keystoneauth1,
 python-keystoneclient,
 python-keystonemiddleware,
 python-oslo.concurrency,
 python-oslo.config,
 python-oslo.context,
 python-oslo.db,
 python-oslo.i18n,
 python-oslo.log,
 python-oslo.messaging (>= 5.11.0),
 python-oslo.middleware,
 python-oslo.policy,
 python-oslo.utils,
 python-pastedeploy,
 python-pbr,
 python-pecan,
 python-six,
 python-sqlalchemy,
 python-stevedore,
 python-tooz,
 python-wsme,
 ${misc:Depends},
 ${python:Depends},
Description: OpenStack Rating as a Service - Python library
 CloudKitty aims at filling the gap between metrics collection systems like
 ceilometer and a billing system.
 .
 Every metrics are collected, aggregated and processed through different rating
 modules. You can then query CloudKitty's storage to retrieve processed data
 and easily generate reports.
 .
 Most parts of CloudKitty are modular so you can easily extend the base code to
 address your particular use case.
 .
 This package contains the Python libraries.
