## cloudkitty 7.0.0

=== debian/changelog ===
cloudkitty (7.0.0-3) unstable; urgency=medium

  * Switched to openstack-pkg-tools >= 70~ debconf templates.
  * Generating policy.json using --format json.
  * Fixed cloudkitty-common's postrm/prerm to correctly purge db on purge.
  * Also call pkgos_write_admin_creds in postinst.

 -- Thomas Goirand <zigo@debian.org>  Tue, 06 Mar 2018 10:33:19 +0100

cloudkitty (7.0.0-2) unstable; urgency=medium

  * Uploading to unstable.

 -- Thomas Goirand <zigo@debian.org>  Tue, 27 Feb 2018 14:48:21 +0000

cloudkitty (7.0.0-1) experimental; urgency=medium

  * New upstream release.
  * Fixed (build-)depends for this release.
  * Refreshed some patches, remove some applied upstream.
  * Some clean-ups in debian/rules.
  * Generating policy.yaml with oslopolicy-sample-generator.
  * Patch cloudkitty/utils.py before generating cloudkitty.conf so that it may
    find mettrics.yml.

 -- Thomas Goirand <zigo@debian.org>  Sat, 24 Feb 2018 15:07:30 +0000

cloudkitty (6.0.0-5) experimental; urgency=medium

  * Switch to Python 3.
  * Remove mathjax extension from sphinx doc.
  * Add cloudkitty-doc.doc-base.

 -- Thomas Goirand <zigo@debian.org>  Tue, 20 Feb 2018 15:14:21 +0000

cloudkitty (6.0.0-4) unstable; urgency=medium

  * Also run cloudkitty-storage-init after creating the db.
  * Add upstream patch for allowing gabbi >= 1.26.1.
  * Add patch to make cloudkitty build reproducibly (Closes: #889171).

 -- Thomas Goirand <zigo@debian.org>  Tue, 06 Feb 2018 16:24:17 +0000

cloudkitty (6.0.0-3) unstable; urgency=medium

  * Added logrotate file.
  * Add patch to allow SQLA >= 1.1 (Closes: #889602).
  * Add missing templates.pot.

 -- Thomas Goirand <zigo@debian.org>  Tue, 06 Feb 2018 16:58:29 +0100

cloudkitty (6.0.0-2) unstable; urgency=medium

  * Fixed cloudkitty-api.init.
  * Fixed default values in general, and in particular, set everything to use
    [keystone_authtoken] by default as auth_section.

 -- Thomas Goirand <zigo@debian.org>  Tue, 06 Feb 2018 08:37:44 +0000
