=== debian/control ===
--- 
+++ 
@@ -7,50 +7,51 @@
 Build-Depends:
  debhelper (>= 10),
  dh-python,
- openstack-pkg-tools (>= 61~),
+ openstack-pkg-tools (>= 70~),
  po-debconf,
- python-all,
- python-pbr,
- python-setuptools,
- python-sphinx (>= 1.6.2),
+ python3-all,
+ python3-pbr,
+ python3-setuptools,
+ python3-sphinx (>= 1.6.2),
 Build-Depends-Indep:
- python-alembic,
- python-ceilometerclient,
- python-coverage,
- python-ddt,
- python-eventlet,
- python-gabbi,
- python-gnocchiclient (>= 2.5.0),
- python-hacking,
- python-iso8601,
- python-keystoneauth1,
- python-keystoneclient,
- python-keystonemiddleware,
- python-kombu,
- python-mock,
- python-openstackdocstheme (>= 1.11.0),
- python-oslo.concurrency,
- python-oslo.config,
- python-oslo.context,
- python-oslo.db,
- python-oslo.i18n,
- python-oslo.log,
- python-oslo.messaging (>= 5.11.0),
- python-oslo.middleware,
- python-oslo.policy,
- python-oslo.utils,
- python-oslotest,
- python-pastedeploy,
- python-pecan,
- python-pep8,
- python-six,
- python-sphinxcontrib-pecanwsme,
- python-sphinxcontrib.httpdomain,
- python-sqlalchemy,
- python-stevedore,
- python-testscenarios,
- python-tooz,
- python-wsme,
+ python3-alembic,
+ python3-ceilometerclient,
+ python3-coverage,
+ python3-ddt,
+ python3-eventlet,
+ python3-gabbi (>= 1.26.1),
+ python3-gnocchiclient (>= 2.5.0),
+ python3-hacking,
+ python3-iso8601,
+ python3-keystoneauth1,
+ python3-keystoneclient,
+ python3-keystonemiddleware,
+ python3-kombu,
+ python3-mock,
+ python3-monascaclient (>= 1.7.0),
+ python3-openstackdocstheme (>= 1.11.0),
+ python3-oslo.concurrency,
+ python3-oslo.config,
+ python3-oslo.context,
+ python3-oslo.db,
+ python3-oslo.i18n,
+ python3-oslo.log,
+ python3-oslo.messaging (>= 5.24.1),
+ python3-oslo.middleware (>= 3.27.0),
+ python3-oslo.policy,
+ python3-oslo.utils,
+ python3-oslotest,
+ python3-pastedeploy,
+ python3-pecan,
+ python3-pep8,
+ python3-six,
+ python3-sphinxcontrib-pecanwsme,
+ python3-sphinxcontrib.httpdomain,
+ python3-sqlalchemy,
+ python3-stevedore,
+ python3-testscenarios,
+ python3-tooz,
+ python3-wsme,
  subunit,
  testrepository,
 Standards-Version: 4.1.3
@@ -64,13 +65,13 @@
  adduser,
  cloudkitty-common (= ${source:Version}),
  debconf,
- python-openstackclient,
- python-pastescript,
+ python3-openstackclient,
+ python3-pastescript,
  q-text-as-data,
- uwsgi-plugin-python,
+ uwsgi-plugin-python3,
  ${misc:Depends},
  ${ostack-lsb-base},
- ${python:Depends},
+ ${python3:Depends},
 Description: OpenStack Rating as a Service - API server
  CloudKitty aims at filling the gap between metrics collection systems like
  ceilometer and a billing system.
@@ -90,9 +91,9 @@
  adduser,
  dbconfig-common,
  debconf,
- python-cloudkitty (= ${source:Version}),
+ python3-cloudkitty (= ${source:Version}),
  ${misc:Depends},
- ${python:Depends},
+ ${python3:Depends},
 Description: OpenStack Rating as a Service - common files
  CloudKitty aims at filling the gap between metrics collection systems like
  ceilometer and a billing system.
@@ -132,7 +133,7 @@
  cloudkitty-common (= ${source:Version}),
  ${misc:Depends},
  ${ostack-lsb-base},
- ${python:Depends},
+ ${python3:Depends},
 Description: OpenStack Rating as a Service - processor
  CloudKitty aims at filling the gap between metrics collection systems like
  ceilometer and a billing system.
@@ -146,38 +147,41 @@
  .
  This package contains the Cloudkitty processor daemon.
 
-Package: python-cloudkitty
+Package: python3-cloudkitty
 Architecture: all
 Section: python
 Depends:
- python-alembic,
- python-ceilometerclient,
- python-eventlet,
- python-gnocchiclient (>= 2.5.0),
- python-iso8601,
- python-keystoneauth1,
- python-keystoneclient,
- python-keystonemiddleware,
- python-oslo.concurrency,
- python-oslo.config,
- python-oslo.context,
- python-oslo.db,
- python-oslo.i18n,
- python-oslo.log,
- python-oslo.messaging (>= 5.11.0),
- python-oslo.middleware,
- python-oslo.policy,
- python-oslo.utils,
- python-pastedeploy,
- python-pbr,
- python-pecan,
- python-six,
- python-sqlalchemy,
- python-stevedore,
- python-tooz,
- python-wsme,
+ python3-alembic,
+ python3-ceilometerclient,
+ python3-eventlet,
+ python3-gnocchiclient (>= 2.5.0),
+ python3-iso8601,
+ python3-keystoneauth1,
+ python3-keystoneclient,
+ python3-keystonemiddleware (>= 3.27.0),
+ python3-monascaclient (>= 1.7.0),
+ python3-oslo.concurrency,
+ python3-oslo.config,
+ python3-oslo.context,
+ python3-oslo.db,
+ python3-oslo.i18n,
+ python3-oslo.log,
+ python3-oslo.messaging (>= 5.24.1),
+ python3-oslo.middleware,
+ python3-oslo.policy,
+ python3-oslo.utils,
+ python3-pastedeploy,
+ python3-pbr,
+ python3-pecan,
+ python3-six,
+ python3-sqlalchemy,
+ python3-stevedore,
+ python3-tooz,
+ python3-wsme,
  ${misc:Depends},
- ${python:Depends},
+ ${python3:Depends},
+Conflicts:
+ python-cloudkitty,
 Description: OpenStack Rating as a Service - Python library
  CloudKitty aims at filling the gap between metrics collection systems like
  ceilometer and a billing system.
