## cloudkitty 8.0.0

=== requirements.txt ===
--- 
+++ 
@@ -5,7 +5,6 @@
 alembic>=0.8.0 # MIT
 eventlet!=0.18.3,>=0.18.2 # MIT
 keystonemiddleware!=4.1.0,>=4.0.0 # Apache-2.0
-python-ceilometerclient>=2.2.1 # Apache-2.0
 gnocchiclient>=2.5.0 # Apache-2.0
 python-monascaclient>=1.7.0 # Apache-2.0
 python-keystoneclient!=1.8.0,!=2.1.0,>=1.6.0 # Apache-2.0
@@ -28,3 +27,4 @@
 six>=1.9.0 # MIT
 stevedore>=1.5.0 # Apache-2.0
 tooz>=1.28.0 # Apache-2.0
+voluptuous>=0.11.1,<1.0.0 # BSD-3
