=== debian/changelog ===
cloudkitty (8.0.0-3) unstable; urgency=medium

  * Use standard OpenStack package uwsgi setup.

 -- Thomas Goirand <zigo@debian.org>  Mon, 31 Dec 2018 09:35:45 +0100

cloudkitty (8.0.0-2) unstable; urgency=medium

  * Remove /etc/cloudkitty/metrics.yml on purge (Closes: #905507).
  * Uploading to unstable.

 -- Thomas Goirand <zigo@debian.org>  Wed, 05 Sep 2018 13:55:01 +0200

cloudkitty (8.0.0-1) experimental; urgency=medium

  [ Ondřej Nový ]
  * d/control: Use team+openstack@tracker.debian.org as maintainer

  [ Thomas Goirand ]
  * new upstream release.
  * Fixed (build-)depends for this release.
  * Rebase metrics.yml path patch.
  * Blacklist all tests matching:
    - .*test_prometheus.*
    - .*storage.v1.test_hybrid_storage.*

 -- Thomas Goirand <zigo@debian.org>  Thu, 23 Aug 2018 00:21:53 +0200

cloudkitty (7.0.0-4) unstable; urgency=medium

  * Fixed dbc postrm.

 -- Thomas Goirand <zigo@debian.org>  Mon, 12 Mar 2018 08:48:42 +0000
