=== debian/control ===
--- 
+++ 
@@ -1,13 +1,13 @@
 Source: cloudkitty
 Section: net
 Priority: optional
-Maintainer: Debian OpenStack <openstack-devel@lists.alioth.debian.org>
+Maintainer: Debian OpenStack <team+openstack@tracker.debian.org>
 Uploaders:
  Thomas Goirand <zigo@debian.org>,
 Build-Depends:
  debhelper (>= 10),
  dh-python,
- openstack-pkg-tools (>= 70~),
+ openstack-pkg-tools (>= 74~),
  po-debconf,
  python3-all,
  python3-pbr,
@@ -15,7 +15,6 @@
  python3-sphinx (>= 1.6.2),
 Build-Depends-Indep:
  python3-alembic,
- python3-ceilometerclient,
  python3-coverage,
  python3-ddt,
  python3-eventlet,
@@ -29,7 +28,7 @@
  python3-kombu,
  python3-mock,
  python3-monascaclient (>= 1.7.0),
- python3-openstackdocstheme (>= 1.11.0),
+ python3-openstackdocstheme (>= 1.20.0),
  python3-oslo.concurrency,
  python3-oslo.config,
  python3-oslo.context,
@@ -48,12 +47,12 @@
  python3-sphinxcontrib-pecanwsme,
  python3-sphinxcontrib.httpdomain,
  python3-sqlalchemy,
+ python3-stestr,
  python3-stevedore,
  python3-testscenarios,
  python3-tooz,
  python3-wsme,
  subunit,
- testrepository,
 Standards-Version: 4.1.3
 Vcs-Browser: https://salsa.debian.org/openstack-team/services/cloudkitty.git
 Vcs-Git: https://salsa.debian.org/openstack-team/services/cloudkitty.git
@@ -152,7 +151,6 @@
 Section: python
 Depends:
  python3-alembic,
- python3-ceilometerclient,
  python3-eventlet,
  python3-gnocchiclient (>= 2.5.0),
  python3-iso8601,
