=== debian/rules ===
--- 
+++ 
@@ -34,11 +34,11 @@
 
 	# Patch to find metrics.yml from curdir instead of /etc
 	# This is needed for both tests and generating cloudkitty.conf
-	patch -p1 <$(CURDIR)/debian/cloudkitty.utils.py.patch
-	cp cloudkitty/utils.py $(CURDIR)/debian/tmp/usr/lib/python3/dist-packages/cloudkitty
+	patch -p1 <$(CURDIR)/debian/cloudkitty.collector.__init__.py.patch
+	cp cloudkitty/collector/__init__.py $(CURDIR)/debian/tmp/usr/lib/python3/dist-packages/cloudkitty/collector
 
 ifeq (,$(findstring nocheck, $(DEB_BUILD_OPTIONS)))
-	pkgos-dh_auto_test --no-py2 'cloudkitty\.tests.*'
+	pkgos-dh_auto_test --no-py2 'cloudkitty\.tests(?!(.*collectors\.test_prometheus.*|.*storage\.v1\.test_hybrid_storage.*))'
 endif
 
 	mkdir -p $(CURDIR)/debian/cloudkitty-common/usr/share/cloudkitty-common
@@ -56,7 +56,7 @@
 	pkgos-readd-keystone-authtoken-missing-options $(CURDIR)/debian/cloudkitty-common/usr/share/cloudkitty-common/cloudkitty.conf keystone_authtoken cloudkitty
 
 	# Unpatch for production
-	patch -p1 -R <$(CURDIR)/debian/cloudkitty.utils.py.patch
+	patch -p1 -R <$(CURDIR)/debian/cloudkitty.collector.__init__.py.patch
 	cp cloudkitty/utils.py $(CURDIR)/debian/tmp/usr/lib/python3/dist-packages/cloudkitty
 
 	# Set everything to use [keystone_authtoken] by default, otherwise it points to a non-working config
