=== debian/changelog ===
cloudkitty (9.0.0-4) unstable; urgency=medium

  * Uploading to unstable.

 -- Thomas Goirand <zigo@debian.org>  Wed, 17 Jul 2019 15:28:08 +0200

cloudkitty (9.0.0-3) experimental; urgency=medium

  * Add upstream patch: Fix_sqlalchemy_grouping_on_v1_storage.patch. This
    fixes FTBFS with newer SQLAlchemy.

 -- Thomas Goirand <zigo@debian.org>  Sun, 30 Jun 2019 14:13:01 +0200

cloudkitty (9.0.0-2) experimental; urgency=medium

  * d/control:
      - Bump openstack-pkg-tools to version 99
      - Add me to uploaders field
  * d/copyright: Add me to copyright file

 -- Michal Arbet <michal.arbet@ultimum.io>  Thu, 02 May 2019 17:48:11 +0200

cloudkitty (9.0.0-1) experimental; urgency=medium

  * New upstream release.
  * Fixed (build-)depends for this release.

 -- Thomas Goirand <zigo@debian.org>  Thu, 11 Apr 2019 09:04:27 +0200

cloudkitty (9.0.0~rc1-1) experimental; urgency=medium

  * New upstream release.
  * Removed versions of packages when satisfied in Buster.
  * Removed python3- prefix when calling config generator.
  * Rebase patches.

 -- Thomas Goirand <zigo@debian.org>  Fri, 29 Mar 2019 20:50:49 +0100

cloudkitty (8.0.0-4) unstable; urgency=medium

  * Correct default path to metrics.yml in [collect]/metrics_conf.

 -- Thomas Goirand <zigo@debian.org>  Thu, 24 Jan 2019 14:45:39 +0100
