=== debian/control ===
--- 
+++ 
@@ -4,45 +4,54 @@
 Maintainer: Debian OpenStack <team+openstack@tracker.debian.org>
 Uploaders:
  Thomas Goirand <zigo@debian.org>,
+ Michal Arbet <michal.arbet@ultimum.io>,
 Build-Depends:
  debhelper (>= 10),
  dh-python,
- openstack-pkg-tools (>= 74~),
+ openstack-pkg-tools (>= 99~),
  po-debconf,
  python3-all,
  python3-pbr,
  python3-setuptools,
- python3-sphinx (>= 1.6.2),
+ python3-sphinx,
 Build-Depends-Indep:
  python3-alembic,
  python3-coverage,
  python3-ddt,
+ python3-doc8,
  python3-eventlet,
- python3-gabbi (>= 1.26.1),
- python3-gnocchiclient (>= 2.5.0),
+ python3-flask,
+ python3-flask-restful,
+ python3-gabbi,
+ python3-gnocchiclient,
  python3-hacking,
+ python3-influxdb,
  python3-iso8601,
  python3-keystoneauth1,
  python3-keystoneclient,
  python3-keystonemiddleware,
  python3-kombu,
  python3-mock,
- python3-monascaclient (>= 1.7.0),
- python3-openstackdocstheme (>= 1.20.0),
+ python3-monascaclient,
+ python3-openstackdocstheme,
+ python3-os-api-ref,
  python3-oslo.concurrency,
  python3-oslo.config,
  python3-oslo.context,
  python3-oslo.db,
  python3-oslo.i18n,
  python3-oslo.log,
- python3-oslo.messaging (>= 5.24.1),
- python3-oslo.middleware (>= 3.27.0),
+ python3-oslo.messaging,
+ python3-oslo.middleware,
  python3-oslo.policy,
+ python3-oslo.upgradecheck,
  python3-oslo.utils,
  python3-oslotest,
  python3-pastedeploy,
  python3-pecan,
  python3-pep8,
+ python3-pygments,
+ python3-reno,
  python3-six,
  python3-sphinxcontrib-pecanwsme,
  python3-sphinxcontrib.httpdomain,
@@ -53,7 +62,7 @@
  python3-tooz,
  python3-wsme,
  subunit,
-Standards-Version: 4.1.3
+Standards-Version: 4.3.0
 Vcs-Browser: https://salsa.debian.org/openstack-team/services/cloudkitty.git
 Vcs-Git: https://salsa.debian.org/openstack-team/services/cloudkitty.git
 Homepage: https://github.com/openstack/cloudkitty
@@ -152,21 +161,25 @@
 Depends:
  python3-alembic,
  python3-eventlet,
- python3-gnocchiclient (>= 2.5.0),
+ python3-flask,
+ python3-flask-restful,
+ python3-gnocchiclient,
+ python3-influxdb,
  python3-iso8601,
  python3-keystoneauth1,
  python3-keystoneclient,
- python3-keystonemiddleware (>= 3.27.0),
- python3-monascaclient (>= 1.7.0),
+ python3-keystonemiddleware,
+ python3-monascaclient,
  python3-oslo.concurrency,
  python3-oslo.config,
  python3-oslo.context,
  python3-oslo.db,
  python3-oslo.i18n,
  python3-oslo.log,
- python3-oslo.messaging (>= 5.24.1),
+ python3-oslo.messaging,
  python3-oslo.middleware,
  python3-oslo.policy,
+ python3-oslo.upgradecheck,
  python3-oslo.utils,
  python3-pastedeploy,
  python3-pbr,
