## cloudkitty 11.0.0

=== debian/changelog ===
cloudkitty (11.0.0-2) unstable; urgency=medium

  [ Ondřej Nový ]
  * Bump Standards-Version to 4.4.1.
  * d/control: Fix wrong Vcs-*.

  [ Thomas Goirand ]
  * Uploading to unstable.

 -- Thomas Goirand <zigo@debian.org>  Tue, 22 Oct 2019 00:20:09 +0200

cloudkitty (11.0.0-1) experimental; urgency=medium

  [ Ondřej Nový ]
  * Use debhelper-compat instead of debian/compat.
  * Bump Standards-Version to 4.4.0.

  [ Thomas Goirand ]
  * New upstream release.
  * Fixed (build-)depends for this release.
  * Removed Fix_sqlalchemy_grouping_on_v1_storage.patch applied upstream.

 -- Thomas Goirand <zigo@debian.org>  Thu, 26 Sep 2019 14:44:15 +0200
