## cloudkitty 11.0.1

=== requirements.txt ===
--- 
+++ 
@@ -3,7 +3,6 @@
 # process, which may cause wedges in the gate later.
 pbr>=2.0.0,!=2.1.0 # Apache-2.0
 alembic>=0.8.0 # MIT
-eventlet>=0.18.2,!=0.18.3,!=0.20.1,!=0.21.0,!=0.23.0 # MIT
 keystonemiddleware>=4.0.0 # Apache-2.0
 gnocchiclient>=2.5.0 # Apache-2.0
 python-monascaclient>=1.9.0 # Apache-2.0
@@ -29,6 +28,9 @@
 stevedore>=1.5.0 # Apache-2.0
 tooz>=1.28.0 # Apache-2.0
 voluptuous>=0.11.1 # BSD License
-influxdb>=5.1.0,!=5.2.0 # MIT
+influxdb>=5.1.0,!=5.2.0,!=5.2.1,!=5.2.2;python_version<'3.0'  # MIT
+influxdb>=5.1.0;python_version>='3.0'  # MIT
 Flask>=1.0.2 # BSD
 Flask-RESTful>=0.3.5 # BSD
+cotyledon>=1.5.0 # Apache-2.0
+futurist>=1.6.0 # Apache-2.0
