=== debian/changelog ===
cloudkitty (11.0.1-2) unstable; urgency=medium

  * Blacklist failing tests:
    HackingTestCase.test_logging_with_tuple_argument* (Closes: #952238).

 -- Thomas Goirand <zigo@debian.org>  Tue, 25 Feb 2020 16:17:55 +0100

cloudkitty (11.0.1-1) unstable; urgency=medium

  * New upstream point release.

 -- Thomas Goirand <zigo@debian.org>  Sun, 03 Nov 2019 13:14:19 +0100
