=== debian/control ===
--- 
+++ 
@@ -6,7 +6,7 @@
  Thomas Goirand <zigo@debian.org>,
  Michal Arbet <michal.arbet@ultimum.io>,
 Build-Depends:
- debhelper (>= 10),
+ debhelper-compat (= 10),
  dh-python,
  openstack-pkg-tools (>= 99~),
  po-debconf,
@@ -16,12 +16,13 @@
  python3-sphinx,
 Build-Depends-Indep:
  python3-alembic,
+ python3-cotyledon,
  python3-coverage,
  python3-ddt,
  python3-doc8,
- python3-eventlet,
  python3-flask,
  python3-flask-restful,
+ python3-futurist,
  python3-gabbi,
  python3-gnocchiclient,
  python3-hacking,
@@ -62,8 +63,8 @@
  python3-tooz,
  python3-wsme,
  subunit,
-Standards-Version: 4.3.0
-Vcs-Browser: https://salsa.debian.org/openstack-team/services/cloudkitty.git
+Standards-Version: 4.4.1
+Vcs-Browser: https://salsa.debian.org/openstack-team/services/cloudkitty
 Vcs-Git: https://salsa.debian.org/openstack-team/services/cloudkitty.git
 Homepage: https://github.com/openstack/cloudkitty
 
@@ -160,9 +161,10 @@
 Section: python
 Depends:
  python3-alembic,
- python3-eventlet,
+ python3-cotyledon,
  python3-flask,
  python3-flask-restful,
+ python3-futurist,
  python3-gnocchiclient,
  python3-influxdb,
  python3-iso8601,
