## cloudkitty 12.0.0

=== debian/changelog ===
cloudkitty (12.0.0-2) unstable; urgency=medium

  * Uploading to unstable.

 -- Thomas Goirand <zigo@debian.org>  Sun, 10 May 2020 01:37:33 +0200

cloudkitty (12.0.0-1) experimental; urgency=medium

  * New upstream release.
  * d/rules: Correctly copy init.py, not cloudkitty/utils.py.

 -- Thomas Goirand <zigo@debian.org>  Fri, 24 Apr 2020 23:13:05 +0200
