=== debian/rules ===
--- 
+++ 
@@ -57,7 +57,7 @@
 
 	# Unpatch for production
 	patch -p1 -R <$(CURDIR)/debian/cloudkitty.collector.__init__.py.patch
-	cp cloudkitty/utils.py $(CURDIR)/debian/tmp/usr/lib/python3/dist-packages/cloudkitty
+	cp cloudkitty/collector/__init__.py $(CURDIR)/debian/tmp/usr/lib/python3/dist-packages/cloudkitty/collector
 
 	# Set everything to use [keystone_authtoken] by default, otherwise it points to a non-working config
 	pkgos-fix-config-default $(CURDIR)/debian/cloudkitty-common/usr/share/cloudkitty-common/cloudkitty.conf ceilometer_collector auth_section keystone_authtoken
